Différences

Ci-dessous, les différences entre deux révisions de la page.

Lien vers cette vue comparative

Les deux révisions précédentes Révision précédente
Dernière révision Les deux révisions suivantes
off-the-record_messaging [Le 24/02/2014, 14:45]
2.13.31.78 [Pidgin-OTR] Correction du lien vers la homepage de cypherpunks.ca
off-the-record_messaging [Le 06/03/2014, 17:37]
Ethelshai [Pidgin-OTR] Lien interne vers la page de Finch et des bases pour compiler en général
Ligne 30: Ligne 30:
  
     * **Compiler Pidgin-OTR soi-même**     * **Compiler Pidgin-OTR soi-même**
-        * Il est toujours possible que le plug-in et/ou la bibliothèque libotr ne soit pas disponible dans sa dernière version dans les dépôts. Cependant, l'​ensemble est simple à compiler et installer.+        * Il est toujours possible que le plug-in et/ou la bibliothèque libotr ne soit pas disponible dans sa dernière version dans les dépôts. Cependant, l'​ensemble est simple à [[compilation|compiler]] et installer.
 Dans un premier temps, il faut se procurer les archives contenant les sources de libotr et de pidgin-otr directement sur le site des développeurs ([[https://​otr.cypherpunks.ca/​index.php#​downloads|dans cette section, OTR Library and toolkit et OTR plugin for Pidgin]], plus exactement, les archives libotr-<​version>​.tar.gz et pidgin-otr-<​version>​.tar.gz). La bibliothèque libotr fournit les fonctions nécessaires au cryptage des messages à proprement parler, tandis que pidgin-otr fournit le plug-in avec l'​interface utilisateur dans le client. Il est donc nécessaire de compiler et installer libotr avant de s'​occuper du plug-in. Dans un premier temps, il faut se procurer les archives contenant les sources de libotr et de pidgin-otr directement sur le site des développeurs ([[https://​otr.cypherpunks.ca/​index.php#​downloads|dans cette section, OTR Library and toolkit et OTR plugin for Pidgin]], plus exactement, les archives libotr-<​version>​.tar.gz et pidgin-otr-<​version>​.tar.gz). La bibliothèque libotr fournit les fonctions nécessaires au cryptage des messages à proprement parler, tandis que pidgin-otr fournit le plug-in avec l'​interface utilisateur dans le client. Il est donc nécessaire de compiler et installer libotr avant de s'​occuper du plug-in.
  
Ligne 72: Ligne 72:
 S'​assurer de bien donner "​pidgin-otr"​ comme nom au paquet, et s'​assurer du bon numéro de version (par exemple 4.0.0 ou 4.0.0-1). De même, toujours fournir une description mentionnant une compilation maison afin de s'y retrouver à l'​avenir. S'​assurer de bien donner "​pidgin-otr"​ comme nom au paquet, et s'​assurer du bon numéro de version (par exemple 4.0.0 ou 4.0.0-1). De même, toujours fournir une description mentionnant une compilation maison afin de s'y retrouver à l'​avenir.
  
-A noter, pour les utilisateurs de Finch (version console de Pidgin), il semble que l'un des contributeurs de Pidgin travaille à l'​adaptation du plug-in OTR pour le client console, bien que ce portage ne semble pas encore utilisable en situation normale : https://​blog.wasilczyk.pl/​en/​2013/​off-the-record-messaging/​+A noter, pour les utilisateurs de [[Finch]] (version console de Pidgin), il semble que l'un des contributeurs de Pidgin travaille à l'​adaptation du plug-in OTR pour le client console, bien que ce portage ne semble pas encore utilisable en situation normale : https://​blog.wasilczyk.pl/​en/​2013/​off-the-record-messaging/​
 ==== Kopete-OTR ==== ==== Kopete-OTR ====
     * **Présentation** : voir [[:​off-the-record_messaging#​Présentation|Off-the-Record Messaging]] et [[http://​kopete-otr.follefuder.org|ici]]. Disponible sous forme de plugin pour [[:​kopete|Kopete]].     * **Présentation** : voir [[:​off-the-record_messaging#​Présentation|Off-the-Record Messaging]] et [[http://​kopete-otr.follefuder.org|ici]]. Disponible sous forme de plugin pour [[:​kopete|Kopete]].
  • off-the-record_messaging.txt
  • Dernière modification: Le 04/08/2015, 13:48
  • par L'Africain